VisimBox 1.0 VisimBox 3d simulation and visualisation ToolBox

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Protected Member Functions
VisimBuilder.TransformationControl Class Reference

List of all members.

## Public Member Functions
| TransformationControl ()
| TransformationControl (ITransformation trans)
void | ChangeTrans (ITransformation trans)
void | UpdateFrom ()
void | UpdateTo ()
Vector3 | ParseString (string str)
void | UpdateToPosition ()
void | UpdateToRotation ()
void | UpdateToScale ()
## Public Attributes
ITransformation | attachedTrans
System.Windows.Forms.TextBox | textBoxPos
System.Windows.Forms.TextBox | textBoxRot
System.Windows.Forms.TextBox | textBoxScale
## Protected Member Functions
override void | Dispose (bool disposing)
| Clean up any resources being used.

## Constructor & Destructor Documentation

VisimBuilder.TransformationControl.TransformationControl | ( |  | ) |

VisimBuilder.TransformationControl.TransformationControl | ( | ITransformation | trans | ) |

## Member Function Documentation

void VisimBuilder.TransformationControl.ChangeTrans | ( | ITransformation | trans | ) |

override void VisimBuilder.TransformationControl.Dispose | ( | bool | disposing | ) | `[protected]`

Clean up any resources being used.

Parameters:

  disposing | true if managed resources should be disposed; otherwise, false.

Vector3 VisimBuilder.TransformationControl.ParseString | ( | string | str | ) |

void VisimBuilder.TransformationControl.UpdateFrom | ( |  | ) |

void VisimBuilder.TransformationControl.UpdateTo | ( |  | ) |

void VisimBuilder.TransformationControl.UpdateToPosition | ( |  | ) |

void VisimBuilder.TransformationControl.UpdateToRotation | ( |  | ) |

void VisimBuilder.TransformationControl.UpdateToScale | ( |  | ) |

## Member Data Documentation

ITransformation VisimBuilder.TransformationControl.attachedTrans

System.Windows.Forms.TextBox VisimBuilder.TransformationControl.textBoxPos

System.Windows.Forms.TextBox VisimBuilder.TransformationControl.textBoxRot

System.Windows.Forms.TextBox VisimBuilder.TransformationControl.textBoxScale

The documentation for this class was generated from the following files:

- TransformationControl.cs
- TransformationControl.Designer.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events